Bug 479766 - Action menus should require a click to show, instead of showing on hover
Action menus should require a click to show, instead of showing on hover
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Guiditta
Depends On:
  Show dependency treegraph
Reported: 2009-01-12 17:41 EST by Jeremy Perry
Modified: 2016-04-26 14:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-22 11:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Perry 2009-01-12 17:41:39 EST
Description of problem:
UI annoyance when action menus are unintentionally displayed whenever the cursor passes over the action bar.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Hover on any menu, menus display without requiring a click

Actual results:

Expected results:
Should require a click to display the action menu. Once a menu is displayed, it should be dismissed in one of three ways 
1. User clicks an action to take
2. User clicks any area except on an individual action in the menu - the menu should disappear. To clarify, clicking the menu title in in the action bar would toggle the menu on and off, as it would in an OS GUI.
3. User presses esc key, the menu should disappear.

Additional info:
This is my first bug, let me know if I've omitted something or have not filed this correctly.
Comment 1 Perry Myers 2009-01-14 13:05:19 EST
This should be filed against ovirt-server-suite.  Using the oVirt Appliance is the component for the appliance usage docs.
Comment 2 Jason Guiditta 2009-05-26 15:35:52 EDT
This is more a feature than a bug, so I am moving it to a later milestone.  I will add it to my list to implement after upgrading our js to be jquery 1.3.x and newest jq.ui

Note You need to log in before you can comment on or make changes to this bug.